Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlpi.common.plugin
Class TemplateNodeInfo

    java.lang.Object
      |
      +--com.bea.wlpi.common.plugin.InfoObject
            |
            +--com.bea.wlpi.common.plugin.TemplateNodeInfo

Direct Known Subclasses:
  DoneInfo, EventInfo, StartInfo

public abstract class TemplateNodeInfo
extends InfoObject

Provides information about a plugin-supplied template definition node type.

Since:
  WebLogic Process Integrator 2.0
Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Fields inherited from class com.bea.wlpi.common.plugin.InfoObject
`classNames, description, ID, name, pluginName`

Constructor Summary
`TemplateNodeInfo(java.lang.String pluginName, int ID, java.lang.String name, java.lang.String description, byte[] iconByteArray, java.lang.String[] classNames)` Create a new `TemplateNodeInfo`.
`TemplateNodeInfo(java.lang.String pluginName, int ID, java.lang.String name, java.lang.String description, javax.swing.Icon icon, java.lang.String[] classNames)` Deprecated. To avoid using java.awt library.

Method Summary
`javax.swing.Icon` | `getIcon()` Return the plugin-provided icon for this template node.

Methods inherited from class com.bea.wlpi.common.plugin.InfoObject
`compareTo, equals, getClassName, getDescription, getID, getName, getPluginName, imageStreamToByteArray, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TemplateNodeInfo

    public TemplateNodeInfo(java.lang.String pluginName,
                            int ID,
                            java.lang.String name,
                            java.lang.String description,
                            javax.swing.Icon icon,
                            java.lang.String[] classNames)

  Deprecated. To avoid using java.awt library.
  Create a new `TemplateNodeInfo`.

  Parameters:
    `pluginName` - The reverse-DNS name of the plugin supplying this `TemplateNodeInfo`.
    `ID` - The unique plugin-supplied identifier for this `TemplateNodeInfo`. This icon is used by the design-time client's 'Interface View'.
    `name` - The localized name of this `TemplateNodeInfo`.
    `description` - The localized description of this `TemplateNodeInfo`.
    `icon` - The icon for this template node type.
    `classNames` - An array to identify plugin-supplied classes related to this object. The array contains one entry for each of the `KEY_*` values defined in the concrete subclass. The value for each entry is the fully qualified name of the Java class that implements the interface specified for that key value.
  See Also:

### TemplateNodeInfo

    public TemplateNodeInfo(java.lang.String pluginName,
                            int ID,
                            java.lang.String name,
                            java.lang.String description,
                            byte[] iconByteArray,
                            java.lang.String[] classNames)

  Create a new `TemplateNodeInfo`.

  Parameters:
    `pluginName` - The reverse-DNS name of the plugin supplying this `TemplateNodeInfo`.
    `ID` - The unique plugin-supplied identifier for this `TemplateNodeInfo`. This icon is used by the design-time client's 'Interface View'.
    `name` - The localized name of this `TemplateNodeInfo`.
    `description` - The localized description of this `TemplateNodeInfo`.
    `iconByteArray` - The byte array representation of graphical image for this template node type.
    `classNames` - An array to identify plugin-supplied classes related to this object. The array contains one entry for each of the `KEY_*` values defined in the concrete subclass. The value for each entry is the fully qualified name of the Java class that implements the interface specified for that key value.

Method Detail

### getIcon

    public javax.swing.Icon getIcon()

  Return the plugin-provided icon for this template node.

  Returns:
    The icon for template node.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)